/*
    Klat - A LaTeX editor for KDE
    
    Copyright (C) 2002-2004  Jori Liesenborgs (jori@lumumba.luc.ac.be)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef KLATSPLASHDIALOGIMPL_H

#define KLATSPLASHDIALOGIMPL_H

#include "klatsplashdialog.h"

class QTimer;
class QKeyEvent;

class KlatSplashDialogImpl : public KlatSplashDialog
{
	Q_OBJECT
public:
	KlatSplashDialogImpl(QWidget *parent,char *name);
	~KlatSplashDialogImpl();
	int exec();
public slots:
	void show();
private slots:
	void slotTimeout();
	void keyPressEvent(QKeyEvent *e);
private:
	QTimer *timer;
	char buffer[5];
	bool shownormal;
};

#endif // KLATSPLASHDIALOGIMPL_H
